fTools: the option to load a layer after analyses should be on by default

2012-11-06 06:09 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15822

Description

The most intuitive behaviour for users is to have the result of an analysis on screen, right after performing it. Not having it should be the

result of an explicit choice.

History

#1 - 2013-07-13 04:06 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to wontfix

As this option is available in sextante I guess that does not make a lot of sense anymore to add it to the vector menu.

#2 - 2013-07-13 09:57 AM - Paolo Cavallini

- Status changed from Closed to Reopened

- Resolution deleted (wontfix)

As it is a very trivial fix, anf fTools is going to stay at least in qgis 2.0, I suggest for the consistency of the interface to switch it on anyway.

#3 - 2013-08-09 03:01 PM - Pieter Roggemans

Same issue in the option "Layer"/"Save selection as Vector file...".

The option to add the layer to the project is there, but isn't checked by default...

#4 - 2013-09-09 06:10 AM - Paolo Cavallini

- Target version set to Future Release - High Priority

#5 - 2014-04-02 11:18 PM - Paolo Cavallini

- Target version changed from Future Release - High Priority to Version 2.4

- Tag set to easy

Why this has not been fixed? It adds much to consistency, and it's very easy to do.

Thanks.
#6 - 2014-04-15 11:15 AM - Antonio Locandro

Please if posible fix before next release

#7 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#8 - 2014-08-21 06:15 AM - Harrissou Santanna

some proposal of fix here (fTools dialogs) and here (Save As... dialog)

#9 - 2014-09-15 06:06 AM - Alexander Bruy

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

Both pull requests applied.

#10 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
https://github.com/qgis/QGIS/pull/1551
https://github.com/qgis/QGIS/pull/1552

